import type { Config } from 'testplane';
import type { ConfigAdapter } from './';
import { TestplaneTestAdapter } from '../test/testplane';
export declare class TestplaneConfigAdapter implements ConfigAdapter {
    private _config;
    static create<T extends TestplaneConfigAdapter>(this: new (config: Config) => T, config: Config): T;
    constructor(config: Config);
    get tolerance(): number;
    get antialiasingTolerance(): number;
    get browserIds(): string[];
    getBrowserConfig(browserId: string): ReturnType<Config['forBrowser']>;
    getScreenshotPath(test: TestplaneTestAdapter, stateName: string): string;
}
