"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestplaneConfigAdapter = void 0;
class TestplaneConfigAdapter {
    static create(config) {
        return new this(config);
    }
    constructor(config) {
        this._config = config;
    }
    get tolerance() {
        return this._config.tolerance;
    }
    get antialiasingTolerance() {
        return this._config.antialiasingTolerance;
    }
    get browserIds() {
        return this._config.getBrowserIds();
    }
    getBrowserConfig(browserId) {
        return this._config.forBrowser(browserId);
    }
    getScreenshotPath(test, stateName) {
        const { browserId } = test;
        return this._config.browsers[browserId].getScreenshotPath(test.original, stateName);
    }
}
exports.TestplaneConfigAdapter = TestplaneConfigAdapter;
//# sourceMappingURL=testplane.js.map