import { TestStatus } from '../../constants';
import { AssertViewResult, TestError, ErrorDetails, ImageInfoFull, ImageBase64, ImageFile, RawSuitesRow, TestStepCompressed, Attachment } from '../../types';
import { ReporterTestResult } from './index';
export declare class SqliteTestResultAdapter implements ReporterTestResult {
    private _testResult;
    private _parsedTestResult;
    constructor(testResult: RawSuitesRow, attempt: number);
    get assertViewResults(): AssertViewResult[];
    get attempt(): number;
    get browserId(): string;
    get description(): string | undefined;
    get error(): TestError | undefined;
    get errorDetails(): ErrorDetails | null;
    get file(): string;
    get fullName(): string;
    get history(): TestStepCompressed[];
    get id(): string;
    get imageDir(): string;
    get imagesInfo(): ImageInfoFull[];
    get meta(): Record<string, unknown>;
    get multipleTabs(): boolean;
    get screenshot(): ImageBase64 | ImageFile | null | undefined;
    get sessionId(): string;
    get skipReason(): string | undefined;
    get state(): {
        name: string;
    };
    get status(): TestStatus;
    get testPath(): string[];
    get timestamp(): number;
    get url(): string | undefined;
    get duration(): number;
    get attachments(): Attachment[];
}
