import type { TestAdapter, CreateTestResultOpts } from './';
import type { ReporterTestResult } from '../test-result';
export type PwtRawTest = {
    file: string;
    browserName: string;
    title: string;
    titlePath: string[];
};
export declare class PlaywrightTestAdapter implements TestAdapter {
    private _test;
    static create<T extends PlaywrightTestAdapter>(this: new (test: PwtRawTest) => T, test: PwtRawTest): T;
    constructor(test: PwtRawTest);
    get original(): PwtRawTest;
    get id(): string;
    get pending(): boolean;
    get disabled(): boolean;
    get silentlySkipped(): boolean;
    get browserId(): string;
    get fullName(): string;
    get file(): string;
    get titlePath(): string[];
    createTestResult(opts: CreateTestResultOpts): ReporterTestResult;
}
