import type { TestAdapter, CreateTestResultOpts } from './';
import type { Test } from 'testplane';
import type { ReporterTestResult } from '../test-result';
export declare class TestplaneTestAdapter implements TestAdapter {
    private _test;
    static create<T extends TestplaneTestAdapter>(this: new (test: Test) => T, test: Test): T;
    constructor(test: Test);
    get original(): Test;
    get id(): string;
    get pending(): boolean;
    get disabled(): boolean;
    get silentlySkipped(): boolean;
    get browserId(): string;
    get fullName(): string;
    get file(): string;
    get titlePath(): string[];
    createTestResult(opts: CreateTestResultOpts): ReporterTestResult;
}
