"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeToolAdapter = void 0;
const constants_1 = require("../../constants");
const makeToolAdapter = async (opts) => {
    if (opts.toolName === constants_1.ToolName.Testplane) {
        const { TestplaneToolAdapter } = await Promise.resolve().then(() => __importStar(require('./testplane')));
        return TestplaneToolAdapter.create(opts);
    }
    else if (opts.toolName === constants_1.ToolName.Playwright) {
        const { PlaywrightToolAdapter } = await Promise.resolve().then(() => __importStar(require('./playwright')));
        return PlaywrightToolAdapter.create(opts);
    }
    else {
        throw new Error(`Tool adapter with name: "${opts.toolName}" is not supported`);
    }
};
exports.makeToolAdapter = makeToolAdapter;
//# sourceMappingURL=index.js.map