import { ValueOf } from 'type-fest';
export declare const DiffModes: {
    readonly THREE_UP: {
        readonly id: "3-up";
        readonly title: "List";
        readonly description: "List. Show images one after another in vertical layout.";
    };
    readonly THREE_UP_SCALED: {
        readonly id: "3-up-scaled";
        readonly title: "SbS";
        readonly description: "Side by Side. Show images in one row.";
    };
    readonly THREE_UP_SCALED_TO_FIT: {
        readonly id: "3-up-scaled-to-fit";
        readonly title: "SbS (fit screen)";
        readonly description: "Side by Side. Show images in one row and scale them down if needed to fit the screen.";
    };
    readonly ONLY_DIFF: {
        readonly id: "only-diff";
        readonly title: "Only Diff";
        readonly description: "Only Diff. Show only diff image, click to highlight diff areas.";
    };
    readonly SWITCH: {
        readonly id: "switch";
        readonly title: "Switch";
        readonly description: "Switch. Click to switch between expected and actual images.";
    };
    readonly SWIPE: {
        readonly id: "swipe";
        readonly title: "Swipe";
        readonly description: "Swipe. Move the divider to compare expected and actual images.";
    };
    readonly ONION_SKIN: {
        readonly id: "onion-skin";
        readonly title: "Onion skin";
        readonly description: "Onion Skin. Change the image opacity to compare expected and actual images.";
    };
};
export type DiffModes = typeof DiffModes;
export type DiffMode = ValueOf<DiffModes>;
export type DiffModeId = DiffModes[keyof DiffModes]['id'];
