export declare enum TestStatus {
    IDLE = "idle",
    QUEUED = "queued",
    RUNNING = "running",
    SUCCESS = "success",
    FAIL = "fail",
    ERROR = "error",
    SKIPPED = "skipped",
    UPDATED = "updated",
    /**
     * @note used by staticImageAccepter only
     */
    STAGED = "staged",
    /**
     * @note used by staticImageAccepter only
     */
    COMMITED = "commited",
    /**
     * @note used in new UI only for rendering icons
     */
    RETRY = "retry",
    /** @note used to display tests that have both failed screenshots and errors */
    FAIL_ERROR = "fail_error"
}
export declare const IDLE = TestStatus.IDLE;
export declare const QUEUED = TestStatus.QUEUED;
export declare const RUNNING = TestStatus.RUNNING;
export declare const SUCCESS = TestStatus.SUCCESS;
export declare const FAIL = TestStatus.FAIL;
export declare const ERROR = TestStatus.ERROR;
export declare const SKIPPED = TestStatus.SKIPPED;
export declare const UPDATED = TestStatus.UPDATED;
export declare const FAIL_ERROR = TestStatus.FAIL_ERROR;
/**
 * @note used by staticImageAccepter only
 */
export declare const STAGED = TestStatus.STAGED;
/**
 * @note used by staticImageAccepter only
 */
export declare const COMMITED = TestStatus.COMMITED;
