"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GuiApi = void 0;
const facade_1 = require("./facade");
class GuiApi {
    static create() {
        return new this();
    }
    constructor() {
        this._gui = facade_1.ApiFacade.create();
    }
    async initServer(server) {
        await this._gui.emitAsync(this._gui.events.SERVER_INIT, server);
    }
    async serverReady(data) {
        await this._gui.emitAsync(this._gui.events.SERVER_READY, data);
    }
    get gui() {
        return this._gui;
    }
}
exports.GuiApi = GuiApi;
//# sourceMappingURL=index.js.map