import { Response } from 'express';
import { ToolRunnerTree, UndoAcceptImagesResult } from './tool-runner';
import { TestBranch, TestEqualDiffsData, TestRefUpdateData } from '../tests-tree-builder/gui';
import type { ServerArgs } from './index';
import type { TestSpec } from '../adapters/tool/types';
export declare class App {
    private _toolRunner;
    static create<T extends App>(this: new (args: ServerArgs) => T, args: ServerArgs): T;
    constructor(args: ServerArgs);
    get data(): ToolRunnerTree | null;
    initialize(): Promise<void>;
    finalize(): Promise<void>;
    run(tests: TestSpec[]): Promise<boolean>;
    getTestsDataToUpdateRefs(imageIds?: string[]): TestRefUpdateData[];
    getImageDataToFindEqualDiffs(imageIds?: string[]): TestEqualDiffsData[];
    updateReferenceImage(failedTests?: TestRefUpdateData[]): Promise<TestBranch[]>;
    undoAcceptImages(imageIds: TestRefUpdateData[]): Promise<UndoAcceptImagesResult>;
    findEqualDiffs(data: TestEqualDiffsData[]): Promise<string[]>;
    addClient(connection: Response): void;
}
